Subject: Re: bug#15945: chown: Does now allow setting user and users login group with numerical user ID

From: Tormen <[email-masked]>
Date: Thu, 21 Nov 2013 17:24:25 +0100

Hi again,

Sorry, I don't know why, but I missed this part of your answer:

On 21/11/13 16:53, Eric Blake wrote:
>> I think I just found a bug in chown... \o/ ;)
>>
>> I tried:
>> 	chown 1001: /tmp/bla
>>
>> Leading to:
>> 	chown: invalid spec: `1001:'
> Drop the trailing colon.
But I want the same effect than
    chown me: /tmp/bla
so changing:
    (1) the owner of /tmp/bla to user "me"
    (2) the group of /tmp/bla to the login-group of user "me"

    chown me /tmp/bla
should only do (1), no ?

> If you provide a colon, you MUST also provide a group spec.  Per 'chown
> --help', the syntax is:
>  chown [OPTION]...  [OWNER][:[GROUP]] FILE...
> so these are valid:
>  chown 1001 /tmp/bla        # change owner only
>  chown :1001 /tmp/bla       # change group only
>  chown 1001:1001 /tmp/bla   # change both
> but this is invalid:
>  chown 1001: /tmp/bla       # '' is not a valid group
Yes, but when you execute:
    chown me: /tmp/bla

as group is '' as well and it is not a problem.

I don't see any problem / ambiguity in allowing both:
    chown me: /tmp/bla
    chown 1001: /tmp/bla

especially as:
    chown me /tmp/bla
    chown 1001 /tmp/bla
are both possible and provide the same result.

So for the trailing ":" case it should be (flexibly/convieniently) work
the same, no ?

Tormen